Package org.apache.avro

# Class Protocol.Message

java.lang.Object
org.apache.avro.JsonProperties
org.apache.avro.Protocol.Message

Enclosing class:
  `Protocol`

public class Protocol.Message extends JsonProperties
A protocol message.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.avro.JsonProperties

`JsonProperties.Null`

## Field Summary

### Fields inherited from class org.apache.avro.JsonProperties

`NULL_VALUE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getDoc()`
`Schema`
`getErrors()`
Errors that might be thrown.
`String`
`getName()`
The name of this message.
`Schema`
`getRequest()`
The parameters of this message.
`Schema`
`getResponse()`
The returned data.
`int`
`hashCode()`
`boolean`
`isOneWay()`
Returns true if this is a one-way message, with no response or errors.
`String`
`toString()`

### Methods inherited from class org.apache.avro.JsonProperties

`addAllProps, addProp, addProp, forEachProperty, getObjectProp, getObjectProp, getObjectProps, getProp, hasProps, propsContainsKey, putAll`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getName

public String getName()
The name of this message.

### getRequest

public Schema getRequest()
The parameters of this message.

### getResponse

public Schema getResponse()
The returned data.

### getErrors

public Schema getErrors()
Errors that might be thrown.

### isOneWay

public boolean isOneWay()
Returns true if this is a one-way message, with no response or errors.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### getDoc

public String getDoc()